Name:           asc
Version:        1.16.4.0
Release:        1%{?dist}
Summary:        Advanced Strategic Command
Group:          Amusements/Games
License:        GPL
URL:            http://www.asc-hq.org/
Source0:        http://downloads.sourceforge.net/asc-hq/asc-source-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_image-devel SDL_mixer-devel SDLmm-devel paragui-devel
BuildRequires:  bzip2-devel libjpeg-devel libsigc++-devel physfs-devel
BuildRequires:  libvorbis-devel libpng-devel libtiff-devel desktop-file-utils
BuildRequires:  ImageMagick
Requires:       hicolor-icon-theme

%description
ASC is a free, turn based strategy game.


%prep
%setup -q
sed -i 's|$datadir/games/|$datadir/|g' configure
sed -i 's|$(datadir)/games/|$(datadir)/|g' `find -name Makefile.in`


%build
%configure --enable-genparse --disable-paraguitest --disable-dependency-tracking
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}
convert data/%{name}.ico %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 %{name}-1.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}-0.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS doc/*.{html,css}
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}*.6.gz

%changelog
* Mon Mar 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-1
- Initial Fedora Extras package based on specfile by Che (newrpms)
